@import "vendor/bulma/sass/utilities/initial-variables"

$family-sans-serif: "Lato","Helvetica Neue",Helvetica,Arial,sans-serif
$link: #18bc9c
$link-hover: $link
$primary: $link
$body-size: 20px
$title-color: inherit
$subtitle-color: inherit
$text-strong: #2c3e50
$grey-dark: #2c3e50
$dark: $grey-darker
$control-border-width: 2px
$navbar-background-color: #2c3e50
$navbar-item-color: #fff
//$navbar-item-hover-color: #18bc9c
$navbar-item-hover-background-color: $navbar-background-color
$navbar-item-active-color: $navbar-item-color
$navbar-item-active-background-color: $navbar-background-color

\:root
  --color-green: hsl(97, 53%, 42%)
  --color-brown: hsl(22, 53%, 21%)

// # Import mixins, functions etc.
@import "vendor/bulma/sass/utilities/_all"

// # Import reset and generic styles
@import "vendor/bulma/sass/base/_all"

// # Import Bulma elements. Uncomment as needed
@import "vendor/bulma/sass/elements/box"
@import "vendor/bulma/sass/elements/button"
@import "vendor/bulma/sass/elements/container"
@import "vendor/bulma/sass/elements/content"
@import "vendor/bulma/sass/form/_all"
// @import "vendor/bulma/sass/elements/icon"
@import "vendor/bulma/sass/elements/image"
// @import "vendor/bulma/sass/elements/notification"
// @import "vendor/bulma/sass/elements/progress"
@import "vendor/bulma/sass/elements/table"
// @import "vendor/bulma/sass/elements/tag"
@import "vendor/bulma/sass/elements/title"

@import "elements/colors"
@import "elements/icon"
@import "elements/profile"
@import "elements/star"
@import "elements/video"

// # Import Bulma components. Uncomment as needed.

// @import "vendor/bulma/sass/components/breadcrumb.sass"
@import "vendor/bulma/sass/components/card.sass"
// @import "vendor/bulma/sass/components/dropdown.sass"
// @import "vendor/bulma/sass/components/level.sass"
// @import "vendor/bulma/sass/components/media.sass"
// @import "vendor/bulma/sass/components/menu.sass"
// @import "vendor/bulma/sass/components/message.sass"
// @import "vendor/bulma/sass/components/modal.sass"
@import "vendor/bulma/sass/components/navbar.sass"
// @import "vendor/bulma/sass/components/pagination.sass"
// @import "vendor/bulma/sass/components/panel.sass"
// @import "vendor/bulma/sass/components/tabs.sass"

@import "vendor/bulma/sass/helpers/_all"

@import "components/lightbox"
@import "components/minecraft-cube"
@import "components/mouse-icon"

// # Import Bulma grid. Uncomment as needed.
@import "vendor/bulma/sass/grid/columns.sass"
// @import "vendor/bulma/sass/grid/tiles.sass"
@import "vendor/bulma/sass/layout/_all"
@import "layout/section_ext"
@import "layout/print"

@import "pages/home"
@import "pages/anleitung"

.footer
  background-color: hsl(320, 30%, 20%)
  color: #fff

.button
  border-radius: 6px

.site-title
  text-transform: uppercase
  font-weight: 700
  font-size: $size-4
  margin-left: .7rem

.navbar
  font-family: Montserrat,"Helvetica Neue",Helvetica,Arial,sans-serif

.vereinslogo
  > svg > path
    fill: #ffffff
  &:hover, &:active
    > svg > path
      fill: $link-hover

.note
  font-size: 95%
  margin-bottom: 1rem

  &::before
    content: "HINWEIS: "
    color: #555555
    font-weight: bold
    font-size: .9rem

kbd
  display: inline-block
  border: 1px solid #ccc
  border-radius: 4px
  padding: 0.1em 0.5em
  margin: 0 0.2em
  box-shadow: 0 1px 0px rgba(0, 0, 0, 0.2), 0 0 0 2px #fff inset, 0.1em 0.1em 0.2em #0000004d
  background-color: #f7f7f7
